RPMFI File Info API.
Collaboration diagram for RPMFI File Info API.:

## Files

file | rpmfi.c
| Routines to handle file info tag sets.
file | rpmfi.h
| Structure(s) used for file info tag sets.
file | rpmlib.h
| In Memoriam: Steve Taylor stayl.nosp@m.or@r.nosp@m.edhat.nosp@m..com was here, now he's not.

## Typedefs

typedef enum rpmFileTypes_e | rpmFileTypes
| File types. More...
typedef struct rpmfi_s * | rpmfi
| File info tag sets from a header, so that a header can be discarded early. More...

## Enumerations

enum | rpmFileTypes_e { PIPE = 1, CDEV = 2, XDIR = 4, BDEV = 6, REG = 8, LINK = 10, SOCK = 12 }
| File types. More...

## RPMFI

void * | rpmfiExclude (const rpmfi fi)
| Return file info exclude patterns. More...
int | rpmfiNExclude (const rpmfi fi)
| Return no. More...
void * | rpmfiInclude (const rpmfi fi)
| Return file info include patterns. More...
int | rpmfiNInclude (const rpmfi fi)
| Return no. More...

## Detailed Description

## Typedef Documentation

typedef struct rpmfi_s* rpmfi

File info tag sets from a header, so that a header can be discarded early.

Definition at line 78 of file rpmfi.h.

typedef enum rpmFileTypes_e rpmFileTypes

File types.

These are the file types used internally by rpm. The file type is determined by applying stat(2) macros like S_ISDIR to the file mode tag from a header. The values are arbitrary, but are identical to the linux stat(2) file types.

## Enumeration Type Documentation

enum rpmFileTypes_e

File types.

These are the file types used internally by rpm. The file type is determined by applying stat(2) macros like S_ISDIR to the file mode tag from a header. The values are arbitrary, but are identical to the linux stat(2) file types.

Enumerator
PIPE | pipe/fifo
CDEV | character device
XDIR | directory
BDEV | block device
REG | regular file
LINK | hard link
SOCK | socket

Definition at line 21 of file rpmfi.h.

## Function Documentation

void* rpmfiExclude | ( | const rpmfi | fi | ) |

Return file info exclude patterns.

Parameters

  fi | file info set

Returns
  file info exclude patterns (NULL if not set)

Definition at line 440 of file rpmfi.c.

void* rpmfiInclude | ( | const rpmfi | fi | ) |

Return file info include patterns.

Parameters

  fi | file info set

Returns
  file info include patterns (NULL if not set)

Definition at line 450 of file rpmfi.c.

int rpmfiNExclude | ( | const rpmfi | fi | ) |

Return no.

of file info exclude patterns.

Parameters

  fi | file info set

Returns
  file info exclude patterns (0 if not set)

Definition at line 445 of file rpmfi.c.

int rpmfiNInclude | ( | const rpmfi | fi | ) |

Return no.

of file info include patterns.

Parameters

  fi | file info set

Returns
  file info include patterns (0 if not set)

Definition at line 455 of file rpmfi.c.